- entityDefinitions:
  - IDM_Relationship__get__Fully_Qualified_Name: '{4ca5a0b5-e1dc-47e4-8097-6e8def5cfcfe}'
  - IDMB_Relationship__get__Fully_Qualified_Name: '{2c6a7b09-a9ff-4921-b542-b5f67f0f0313}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - buildAttributeMethod: '&IDM_Relationship__get__Fully_Qualified_Name;'
    forClassId: '&IDC_Relationship;'
    verb: 'get'
    name: 'Fully Qualified Name'
    accessModifierId: '&IDI_AccessModifier_Public;'
    initialValue: ''
    returnsAttributeId: '&IDA_Value;'
    buildsWithAttributes:
    - instance: '&IDMB_Relationship__get__Source_Class_Name;'
    - instance: '&IDMB_Common_Text__get__Period;' #.
    - instance: '&IDMB_Relationship__get__Relationship_Type;' #has, for, etc.
    - instance: '&IDMB_Common_Text__get__Single_Space;'
    - instance: '&IDMB_Relationship__get__Destination_Class_Name;'
 
  - returnAttributeMethodBinding: '&IDMB_Relationship__get__Fully_Qualified_Name;'
    executesMethod: '&IDM_Relationship__get__Fully_Qualified_Name;'
    